<?php

namespace App\Models;

use App\Base\BaseModel;
use App\Models\Auth\AdminGroup;
use Illuminate\Auth\Authenticatable;

class User extends BaseModel implements \Illuminate\Contracts\Auth\Authenticatable
{
    use Authenticatable;

    protected $table = "user";

    const STATUS_OK = 1;
    const STATUS_STOP = 2;

    protected $casts = [
        "extra" => "array",
    ];

    public function checkPassword($password): bool
    {
        return $this->password == hashid_encode($password);
    }

    public function group()
    {
        return $this->belongsTo(AdminGroup::class, "group_id", "id");
    }
}
