<?php

namespace App\Modules\Admin\Controllers\Admin;

use App\Base\BaseController;
use App\Modules\Admin\Services\AuthService;

class AuthController extends BaseController
{
    protected $authService;

    public function __construct(AuthService $authService)
    {
        $this->authService = $authService;
    }

    public function login()
    {
        $data = $this->valid([
            "username" => "required",
            "password" => "required",
            "fix" => "",
        ]);
        return $this->ok($this->authService->login($data));
    }

    public function profile()
    {
        return $this->ok($this->authService->profile());
    }
}
