<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use App\Models\Auth\AdminGroup;
use App\Models\Auth\AdminPermission;
use App\Models\User;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        $this->auth();
        User::create([
            "password"=>hashid_encode("111112"),
            "email"=>"liantiao@lientiao.com",
            "status"=>User::STATUS_OK,
            "group_id"=>1,
            "phone"=>15012341234,
        ]);
    }

    private function auth()
    {
        AdminGroup::truncate();
        AdminPermission::truncate();
        AdminGroup::create(["name" => "超级管理员"]);
        AdminGroup::create(["name" => "普通管理员"]);
        AdminGroup::create(["name" => "员工"]);
        AdminPermission::create(["name" => "权限1", "code" => "code1"]);
        AdminPermission::create(["name" => "权限2", "code" => "code2"]);
    }
}
